<template>
	<div>
		<!-- <div class="w-full md:w-690 lg:w-580 bg-white px-4 py-10 md:px-10 md:pt-10 md:pb-8 lg:px-14 lg:pt-14 lg:pb-14 mx-auto">
            <h4 class="font-secondary-font-regular text-2xl md:text-3xl leading-7 md:leading-8 lg:leading-10">Give $50. Get $50.</h4>
            <p class="font-primary-font-bold text-base leading-6 pt-8 lg:pt-10">Share Molekule with a friend!</p>
            <P class="font-primary-font-light text-base leading-6 pt-6 md:pt-4 lg:pt-6">Give your friends $50 off a Molekule purchase. You’ll get a $50 Amazon.com Gift Card* for those who redeem. Easy breezy.</P>
            <div class="grid grid-flow-col grid-cols-5 gap-x-14 md:gap-x-10 lg:gap-x-14 mt-8 md:mt-6 lg:mt-6">
                <img alt="share mail icon" src="~/assets/images/icon-mail.svg">
                <img alt="share Connecting icon" src="~/assets/images/icon-connecting.svg">
                <img alt="share facebook icon" src="~/assets/images/icon-fb.png">
                <img alt="share messenger icon" src="~/assets/images/icon-messenger.png">
            </div>
            <p class="font-primary-font-light text-xs leading-4 mt-8 md:mt-6">*Restrictions apply. See amazon.com/gc-legal. Friend must be new customer. Max 5 referral rewards per person. Cannot combine with other offers.</p>
            <div tabindex="0" role="heading" aria-describedby="Terms and Conditions, Powered by talkable" class="flex mt-6 md:mt-4 lg:mt-8">
                <span class="font-primary-font-bold text-xs leading-4">Terms & Conditions </span>
                <span class="font-primary-font-light text-xs leading-4">  |   Powered by</span>
                <img  alt="talkable logo"  src="~/assets/images/icon-talkable.png" class="ml-1 w-15 h-3">
            </div>
        </div> -->
		<MkTalkable v-if="!isEurope" class="mb-2 md:mb-10 lg:mb-16" />
		<MkFAQComponent v-if="showFaq" class="md:mb-10 lg:mb-0" @survey-success="showFaq = false" />
		<MkThanksAgain v-else />
	</div>
</template>

<script>
import { mapState } from 'vuex';
import MkFAQComponent from '~/components/D2C/organisms/MkFAQComponent.vue';
import MkThanksAgain from '~/components/D2C/molecules/MkThanksAgain.vue';
import MkTalkable from '~/components/D2C/organisms/MkTalkable.vue';

export default {
	name: 'MkSocialMediaMessage',
	components: {
		MkFAQComponent,
		MkThanksAgain,
		MkTalkable,
	},
	data() {
		return {
			showFaq: true,
		};
	},
	computed: {
		...mapState(['isEurope']),
	},
	// head(){
	//     return {
	//         script: [
	//             {
	//                 innerHTML:
	//                     "window._talkableq=window._talkableq||[];_talkableq.push(['init',{site_id:'molekule'}]);window._talkableq.push(['authenticate_customer',{email:'',first_name:'',last_name:''}]);window._talkableq.push(['register_affiliate',{}]);",
	//                 type: 'text/javascript',
	//             },
	//             { hid: 'talkable', src: 'https://d2jjzw81hqbuqv.cloudfront.net/integration/clients/molekule.min.js', defer: true }
	//         ],
	//         __dangerouslyDisableSanitizers: ['script'],
	//         bodyAttrs: {
	//             class: this.$style && this.$style.talkable,
	//         },
	//     }
	// }
};
</script>
<style scoped>
.talkable {
	background-color: #f2f2f2;
}
</style>
